Possible Maven 3.6.2 regression since 3.6.1

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Possible Maven 3.6.2 regression since 3.6.1

Stig Rohde Døssing
Hi,

I'm trying to build Apache Storm using Maven 3.6.2, and I might have hit a
regression since 3.6.1. I'm not sure it's an issue in Maven itself, it's
might also be a bad interaction between Maven 3.6.2 and some of the Maven
plugins listed in the ASF parent pom (see https://maven.apache.org/pom/asf/
).

The problem is described at https://issues.apache.org/jira/browse/MNG-6759,
and there's a link to a minimal reproduction.

Basically Maven fails to use a module's <repositories> section when that
module is a dependency of another module in the reactor. As far as I can
tell, it only happens when using the ASF parent pom. I've only tried the
current version (v21). Are there known incompatibilities with Maven 3.6.2
and the plugin versions set by that POM?

If I wanted to try to debug this, does anyone have a suggestion for where
to start?